package com.qmth.cqb.paper.model.computerTestModel;

import java.util.List;

import com.qmth.cqb.paper.model.Paper;

/**
 * @author  	chenken
 * @date    	2017年7月25日 上午9:39:11
 * @company 	QMTH
 * @description ComputerTestPaper.java
 */
public class ComputerTestPaper {
	
	/**
	 * 试卷编号
	 */
	private String id;
	/**
	 * 试卷名称
	 */
	private String name;
	/**
	 * 总分
	 */
	private double totalScore;
	/**
	 * true:含有音视频
	 * false:不含有音视频
	 */
	private Boolean emVideoType;
	/**
	 * 大题数量
	 */
	private int detailCount;
	/**
	 * 大题集合
	 */
	private List<ComputerTestPaperDetail> details;
	
	public ComputerTestPaper(){
		
	}
	
	public ComputerTestPaper(Paper paper){
		this.id = paper.getId();
		this.name = paper.getName();
		this.totalScore = paper.getTotalScore();
		this.detailCount = paper.getPaperDetailCount();
		if(paper.getHasAudioQuestion()==null||!paper.getHasAudioQuestion()){
			this.emVideoType = false;
		}else{
			this.emVideoType = true;
		}
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(double totalScore) {
		this.totalScore = totalScore;
	}
	public Boolean getEmVideoType() {
		return emVideoType;
	}
	public void setEmVideoType(Boolean emVideoType) {
		this.emVideoType = emVideoType;
	}
	public int getDetailCount() {
		return detailCount;
	}
	public void setDetailCount(int detailCount) {
		this.detailCount = detailCount;
	}
	public List<ComputerTestPaperDetail> getDetails() {
		return details;
	}
	public void setDetails(List<ComputerTestPaperDetail> details) {
		this.details = details;
	}
	
}

